Streaming Locators - Create

Streamelési lokátor létrehozása a Media Services-fiókban

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Media/mediaServices/{accountName}/streamingLocators/{streamingLocatorName}?api-version=2021-11-01

URI-paraméterek

Name In Required Type Description
accountName
path True
  • string

A Media Services fiók neve.

resourceGroupName
path True
  • string

Az Azure-előfizetésen belüli erőforráscsoport neve.

streamingLocatorName
path True
  • string

A streamelési lokátor neve.

subscriptionId
path True
  • string

Egy Microsoft Azure-előfizetés egyedi azonosítója.

api-version
query True
  • string

Az ügyfélkéréshez használni kívánt API verziója.

Kérelem törzse

Name Required Type Description
properties.assetName True
  • string

Eszköz neve

properties.streamingPolicyName True
  • string

A streamelési lokátor által használt streamelési szabályzat neve. Adja meg a létrehozott streamelési szabályzat nevét, vagy használja az előre definiált streamelési szabályzatok egyikét. Az előre definiált streamelési szabályzatok a következők: "Predefined_DownloadOnly", "Predefined_ClearStreamingOnly", "Predefined_DownloadAndClearStreaming", "Predefined_ClearKey", "Predefined_MultiDrmCencStreaming" és "Predefined_MultiDrmStreaming"

properties.alternativeMediaId
  • string

A streamelési lokátor alternatív médiaazonosítója

properties.contentKeys

A streamelési lokátor által használt ContentKey-kulcsok.

properties.defaultContentKeyPolicyName
  • string

A streamelési lokátor által használt alapértelmezett ContentKeyPolicy neve.

properties.endTime
  • string

A streamelési lokátor befejezési ideje.

properties.filters
  • string[]

A streamelési lokátorra vonatkozó eszköz- vagy fiókszűrők listája

properties.startTime
  • string

A Streamelési lokátor kezdő időpontja.

properties.streamingLocatorId
  • string

A streamelési lokátor StreamingLocatorId azonosítója.

Válaszok

Name Type Description
201 Created

Létrehozva

Other Status Codes

Részletes hibainformációk.

Példák

Creates a Streaming Locator with clear streaming
Creates a Streaming Locator with secure streaming
Creates a Streaming Locator with user defined content keys

Creates a Streaming Locator with clear streaming

Sample Request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaServices/contosomedia/streamingLocators/UserCreatedClearStreamingLocator?api-version=2021-11-01

{
  "properties": {
    "streamingPolicyName": "clearStreamingPolicy",
    "assetName": "ClimbingMountRainier"
  }
}

Sample Response

{
  "name": "UserCreatedClearStreamingLocator",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaservices/contosomedia/streamingLocators/UserCreatedClearStreamingLocator",
  "type": "Microsoft.Media/mediaservices/streamingLocators",
  "properties": {
    "assetName": "ClimbingMountRainier",
    "created": "2018-08-08T18:29:32.4323237Z",
    "endTime": "9999-12-31T23:59:59.9999999Z",
    "streamingLocatorId": "e34b0fc4-3be0-4a3c-9793-1f6b7be5b013",
    "streamingPolicyName": "clearStreamingPolicy",
    "contentKeys": []
  }
}

Creates a Streaming Locator with secure streaming

Sample Request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaServices/contosomedia/streamingLocators/UserCreatedSecureStreamingLocator?api-version=2021-11-01

{
  "properties": {
    "streamingPolicyName": "secureStreamingPolicy",
    "assetName": "ClimbingMountRainier",
    "startTime": "2018-03-01T00:00:00Z",
    "endTime": "2028-12-31T23:59:59.9999999Z"
  }
}

Sample Response

{
  "name": "UserCreatedSecureStreamingLocator",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaservices/contosomedia/streamingLocators/UserCreatedSecureStreamingLocator",
  "type": "Microsoft.Media/mediaservices/streamingLocators",
  "properties": {
    "assetName": "ClimbingMountRainier",
    "created": "2018-08-08T18:29:32.6243295Z",
    "startTime": "2018-03-01T00:00:00Z",
    "endTime": "2028-12-31T23:59:59.9999999Z",
    "streamingLocatorId": "962775be-41fb-452a-b0dc-72ca2543a945",
    "streamingPolicyName": "secureStreamingPolicy",
    "contentKeys": [
      {
        "id": "1b2d5581-4518-4a51-ad8a-f55d3bf993d4",
        "type": "CommonEncryptionCbcs",
        "labelReferenceInStreamingPolicy": "cbcsDefaultKey",
        "tracks": []
      },
      {
        "id": "1a9858b1-3566-4bf1-9fee-60f2fb98e7e4",
        "type": "CommonEncryptionCenc",
        "labelReferenceInStreamingPolicy": "cencDefaultKey",
        "tracks": []
      },
      {
        "id": "5faac86a-3aca-4d6b-99c0-6bb8cc3497a1",
        "type": "EnvelopeEncryption",
        "labelReferenceInStreamingPolicy": "aesDefaultKey",
        "tracks": []
      }
    ]
  }
}

Creates a Streaming Locator with user defined content keys

Sample Request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaServices/contosomedia/streamingLocators/UserCreatedSecureStreamingLocatorWithUserDefinedContentKeys?api-version=2021-11-01

{
  "properties": {
    "assetName": "ClimbingMountRainier",
    "streamingPolicyName": "secureStreamingPolicy",
    "streamingLocatorId": "90000000-0000-0000-0000-00000000000A",
    "contentKeys": [
      {
        "labelReferenceInStreamingPolicy": "aesDefaultKey",
        "id": "60000000-0000-0000-0000-000000000001",
        "value": "1UqLohAfWsEGkULYxHjYZg=="
      },
      {
        "labelReferenceInStreamingPolicy": "cencDefaultKey",
        "id": "60000000-0000-0000-0000-000000000004",
        "value": "4UqLohAfWsEGkULYxHjYZg=="
      },
      {
        "labelReferenceInStreamingPolicy": "cbcsDefaultKey",
        "id": "60000000-0000-0000-0000-000000000007",
        "value": "7UqLohAfWsEGkULYxHjYZg=="
      }
    ]
  }
}

Sample Response

{
  "name": "UserCreatedSecureStreamingLocatorWithUserDefinedContentKeys",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso/providers/Microsoft.Media/mediaservices/contosomedia/streamingLocators/UserCreatedSecureStreamingLocatorWithUserDefinedContentKeys",
  "type": "Microsoft.Media/mediaservices/streamingLocators",
  "properties": {
    "assetName": "ClimbingMountRainier",
    "created": "2018-08-08T18:29:32.7859424Z",
    "endTime": "9999-12-31T23:59:59.9999999Z",
    "streamingLocatorId": "90000000-0000-0000-0000-00000000000a",
    "streamingPolicyName": "secureStreamingPolicy",
    "contentKeys": [
      {
        "id": "60000000-0000-0000-0000-000000000007",
        "type": "CommonEncryptionCbcs",
        "labelReferenceInStreamingPolicy": "cbcsDefaultKey",
        "tracks": []
      },
      {
        "id": "60000000-0000-0000-0000-000000000004",
        "type": "CommonEncryptionCenc",
        "labelReferenceInStreamingPolicy": "cencDefaultKey",
        "tracks": []
      },
      {
        "id": "60000000-0000-0000-0000-000000000001",
        "type": "EnvelopeEncryption",
        "labelReferenceInStreamingPolicy": "aesDefaultKey",
        "tracks": []
      }
    ]
  }
}

Definíciók

createdByType

Az erőforrást létrehozó identitás típusa.

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

ErrorDetail

A hiba részletei.

ErrorResponse

Hibaválasz

StreamingLocator

Streamelési lokátor erőforrás

StreamingLocatorContentKey

Tartalomkulcs osztálya a Streaming Locatorban

StreamingLocatorContentKeyType

A tartalomkulcs titkosítási típusa

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

TrackPropertyCompareOperation

Tulajdonságfeltétel-művelet nyomon követése

TrackPropertyCondition

Osztály egy track tulajdonság feltételének megadásához

TrackPropertyType

Tulajdonságtípus nyomon követése

TrackSelection

Osztály a zeneszám kiválasztásához

createdByType

Az erőforrást létrehozó identitás típusa.

Name Type Description
Application
  • string
Key
  • string
ManagedIdentity
  • string
User
  • string

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

Name Type Description
info
  • object

A további információk.

type
  • string

A további információtípus.

ErrorDetail

A hiba részletei.

Name Type Description
additionalInfo

A hiba további információi.

code
  • string

A hibakód.

details

A hiba részletei.

message
  • string

A hibaüzenet.

target
  • string

A hiba célja.

ErrorResponse

Hibaválasz

Name Type Description
error

A hibaobjektum.

StreamingLocator

Streamelési lokátor erőforrás

Name Type Description
id
  • string

Az erőforrás teljes erőforrás-azonosítója. Például : /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name
  • string

Az erőforrás neve

properties.alternativeMediaId
  • string

A streamelési lokátor alternatív médiaazonosítója

properties.assetName
  • string

Eszköz neve

properties.contentKeys

A streamelési lokátor által használt ContentKey-kulcsok.

properties.created
  • string

A Streamelési lokátor létrehozási ideje.

properties.defaultContentKeyPolicyName
  • string

A streamelési lokátor által használt alapértelmezett ContentKeyPolicy neve.

properties.endTime
  • string

A streamelési lokátor befejezési ideje.

properties.filters
  • string[]

A streamelési lokátorra vonatkozó eszköz- vagy fiókszűrők listája

properties.startTime
  • string

A Streamelési lokátor kezdő időpontja.

properties.streamingLocatorId
  • string

A streamelési lokátor StreamingLocatorId azonosítója.

properties.streamingPolicyName
  • string

A streamelési lokátor által használt streamelési szabályzat neve. Adja meg a létrehozott streamelési szabályzat nevét, vagy használja az előre definiált streamelési szabályzatok egyikét. Az előre definiált streamelési szabályzatok a következők: "Predefined_DownloadOnly", "Predefined_ClearStreamingOnly", "Predefined_DownloadAndClearStreaming", "Predefined_ClearKey", "Predefined_MultiDrmCencStreaming" és "Predefined_MultiDrmStreaming"

systemData

Az erőforráshoz kapcsolódó rendszer metaadatai.

type
  • string

Az erőforrás típusa. Például"Microsoft.Compute/virtualMachines" vagy "Microsoft. Storage/storageAccounts"

StreamingLocatorContentKey

Tartalomkulcs osztálya a Streaming Locatorban

Name Type Description
id
  • string

Tartalomkulcs azonosítója

labelReferenceInStreamingPolicy
  • string

A tartalomkulcs címkéje a streamelési szabályzatban megadottak szerint

policyName
  • string

Content Key által használt ContentKeyPolicy

tracks

Nyomon követi a tartalomkulcsot használó számokat

type

A tartalomkulcs titkosítási típusa

value
  • string

Tartalomkulcs értéke

StreamingLocatorContentKeyType

A tartalomkulcs titkosítási típusa

Name Type Description
CommonEncryptionCbcs
  • string

Gyakori titkosítás a CBCS használatával

CommonEncryptionCenc
  • string

Gyakori titkosítás a CENC használatával

EnvelopeEncryption
  • string

Borítéktitkosítás

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

Name Type Description
createdAt
  • string

Az erőforrás-létrehozás időbélyege (UTC).

createdBy
  • string

Az erőforrást létrehozó identitás.

createdByType

Az erőforrást létrehozó identitás típusa.

lastModifiedAt
  • string

Az erőforrás utolsó módosításának időbélyege (UTC)

lastModifiedBy
  • string

Az erőforrást utoljára módosító identitás.

lastModifiedByType

Az erőforrást utoljára módosító identitás típusa.

TrackPropertyCompareOperation

Tulajdonságfeltétel-művelet nyomon követése

Name Type Description
Equal
  • string

Egyenlő művelet

Unknown
  • string

Ismeretlen track property compare operation

TrackPropertyCondition

Osztály egy track tulajdonság feltételének megadásához

Name Type Description
operation

Tulajdonságfeltétel-művelet nyomon követése

property

Tulajdonságtípus nyomon követése

value
  • string

Tulajdonság értékének nyomon követése

TrackPropertyType

Tulajdonságtípus nyomon követése

Name Type Description
FourCC
  • string

A FourCC nyomon követése

Unknown
  • string

Ismeretlen track tulajdonság

TrackSelection

Osztály a zeneszám kiválasztásához

Name Type Description
trackSelections

A TrackSelections egy track tulajdonság feltétellistája, amely megadhatja a követés(ek)et